Bug 208396 - Review Request: v4l2-tool - Tool to get webcam usage Information
Summary: Review Request: v4l2-tool - Tool to get webcam usage Information
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-09-28 12:07 UTC by Parag AN(पराग)
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-05 04:43:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated spec file (2.28 KB, text/plain)
2006-12-01 18:25 UTC, Michel Alexandre Salim
no flags Details

Description Parag AN(पराग) 2006-09-28 12:07:43 UTC
Spec URL: http://people.redhat.com/pnemade/v4l2-tool/v4l2-tool.spec
SRPM URL: http://people.redhat.com/pnemade/v4l2-tool/v4l2-tool-1.0.2-1.src.rpm
Description: This package gives v4l2 device information of webcam. This package can only be used with gspca and uvcvideo kernel modules. Though both kernel modules are not in mainstream kernel, you can direclty download those kernel drivers and can use on FC systems without problem.

Comment 1 Parag AN(पराग) 2006-10-04 10:34:24 UTC
I really don't think that this package should be blocker for uvcvideo and gspca
kmod packages. 
I already added gspca kmod package for its review. Users can download kernel
module source from respective websites and they can use this package happily. I
am using this since last 2 weeks without any problem with both kernel modules
installed from RPMS i made from their sources(gspca rpms are already submitted
for review).

So anyone can review this package and also if anyone have any webcam supported
from any of the kernel modules, they can test it happily.



Comment 2 Michel Alexandre Salim 2006-11-28 21:42:04 UTC
I'll do the review - I can't review the functionality, though, since I'm webcamless.

Comment 3 Parag AN(पराग) 2006-11-29 04:14:15 UTC
Thanks. Feel free to ask me anything about this package usage. Even you can test
its some functionality without webcam. You just need to fill USB IDs of any webcam
say for 
Logitech Quickcam Image Vendor ID 046d Product ID 08a7 
and you will get information about whether its supported by uvcvideo or gspca
drivers or not.

Comment 4 Michel Alexandre Salim 2006-11-29 21:15:12 UTC
Need fixing:
- rpmlint on SRPM:
W: v4l2-tool mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 1)

- v4l2-tool.png included twice (in /usr/share/pixmaps and
/usr/share/pixmaps/v4l2-tool). I think one of them is meant to be
v4l2-tool-logo.png, which is not packaged

- dl.sourceforge.net has been refusing connections for some time. Change URL to
use one of the download mirrors?

- License file (COPYING) needs to be included in %docs
- %description incorrect (says it's digiKam-doc)
- desktop file's Categories should probably include HardwareSettings (and
perhaps Utility) and should not include Player. Not sure if the Audio category
is necessary - I think of a webcam as primarily a video device.


Good:
- Source matches upstream
- License OK
- Spec readable, language OK

The Icon= line in the desktop file does not need to specify an extension, by the
way. Most desktop files omit this (perhaps to make a switch to SVG easier)


Comment 6 Michel Alexandre Salim 2006-12-01 18:25:43 UTC
Created attachment 142599 [details]
Updated spec file

Reformatted the spec file, using Emacs M-x untabify to convert tabs->spaces and
Escape-q to line up the description text.

Changed desktop file to use v4l2-tool-logo.png, it's larger than v4l2-tool.png.
Added back AudioVideo category (see
http://standards.freedesktop.org/menu-spec/latest/apa.html : an application is
either Audio or Video (or both), but must also include AudioVideo)

Comment 7 Parag AN(पराग) 2006-12-02 03:49:40 UTC
Oops i did changes but looks like i forgot to upload proper SPEC file but
updated SPEC was included in SRPM. 
Anyway keeping release same -2 and using your changes, i uploaded new SRPM and
SPEC. Kindly review them.
Updated links
Spec URL: http://people.redhat.com/pnemade/v4l2-tool/v4l2-tool.spec
SRPM URL: http://people.redhat.com/pnemade/v4l2-tool/v4l2-tool-1.0.2-2.src.rpm

Comment 8 Michel Alexandre Salim 2006-12-04 20:56:36 UTC
Everything looks good. I'm a bit hesitant about listing %{_datadir}/* instead of
the specific subdirectories, but rpm -qf /usr/share/ shows that other packages
are doing that as well anyway.

APPROVED

Comment 9 Parag AN(पराग) 2006-12-05 04:43:38 UTC
Thanks built for devel only successfully.



Note You need to log in before you can comment on or make changes to this bug.